package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiSampleAmount;

/**
 * 体验金活动管理Mapper接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface AiSampleAmountMapper extends BaseMapper<AiSampleAmount> {
    int deleteAiSampleAmountByIds(Long[] ids);

    int deleteAiSampleAmountById(Long id);

    void updateAllStatus();

    AiSampleAmount getSampleAmount();
}
